Subject: Hierarchy between two LSRs

From: "Asish Thomas Punnoose" <[email-masked]>
Date: Thu, 17 May 2001 17:20:04 +0530

hello 

I am new to MPLS and i have a basic doubt. 

If hierarchy is introduced between two LSRs, how does LDP/ CR-LDP know whether a hierarchy exists between the two.  

How does the label switching work in this situation.

Please do help and could someone send some pointers related to this topic.

Thanks in advance 

Asish Thomas

---

From: "Asish Thomas Punnoose" <[email-masked]>
Date: Thu, 17 May 2001 17:36:14 +0530

hello mohit,

yes i meant label stacking 

regards 
asish 
  ----- Original Message ----- 
  From: [email-masked] 
  To: Asish Thomas Punnoose 
  Sent: Thursday, May 17, 2001 5:20 PM
  Subject: Re: Hierarchy between two LSRs

  Hi Ashish,

  What is meant by hierrarchy between two LSRs. Is it same as LSP tunneling/Label
  stacking.

  Regards
  Mohit

  "Asish Thomas Punnoose" <[email-masked]> on 05/17/2001 05:20:04 PM

  To:   [email-masked]
  cc:    (bcc: Mohit Goel/HSS)

  Subject:  Hierarchy between two LSRs

  hello

  If hierarchy is introduced between two LSRs, how does LDP/ CR-LDP know whether a
  hierarchy exists between the two.

  Thanks in advance

  Asish Thomas

---

From: [email-masked]
Date: Thu, 17 May 2001 17:40:40 +0530

Hi Ashish,

The Label switching is always based on the top label, without regard for the
possibility that some number of other labels may have been "above it" in the
past, or that some number of other labels may be below at present.

Regarding LSP setup between non directly connected LSRs, extended LDP discovery
mechanism is used. (pls refer section 2.4.2 of RFC 3036)

Regards
Mohit

To:   [email-masked]

hello

Thanks in advance

Asish Thomas

---

From: Bhupesh Bajaj <[email-masked]>
Date: Thu, 17 May 2001 18:37:05 +0500

hi,
according to what i interpret from your question ...
 
the hierarchy in a domain will be specified ( indirectly ) by the
administrators...it not that one installs certain LSR's and the hierarchy
comes into picture by itself ...i believe that hierarchy's concept comes
into picture in case of different services of ISP's
 
e.g..
 
----------------------------------------------------------------------------
---
 
|
          --------------    ----------------
|
         |              |   |                |                     C
|            D
         |      A      |   |     B         |
|
         |________|   |_________ |                                  |
 
|
 
|    
_____________________________________________ |
 
Now here for example we have different domains A B and C ..hierarcy comes
into picture when we have that 
C domain is controlled by one ISP , A by another ISP ...and B by yet another
ISP....
 
so for sending a packet from say ...A ...to D ...say passing thru B is
required , Now as the domain changes the label stackin will be done...
 
now as you asked , how does LDP / CR-LDp comes to know that its going to
have hierarchy, that will be done indirectly by administration , cos
administrator will create domains will separate out domains....so once the
LSRs know that its Egress / Ingress to its domain , the LDP will ofcourse do
label distribution accordingly.
 
i hope it helps....
 
correct me if i am wrong..
 
thanks
bhupesh

-----Original Message-----
From: Asish Thomas Punnoose [mailto:[email-masked]]
Sent: Thursday, May 17, 2001 5:20 PM
To: [email-masked]
Subject: Hierarchy between two LSRs

hello 

If hierarchy is introduced between two LSRs, how does LDP/ CR-LDP know
whether a hierarchy exists between the two.  

 
Thanks in advance 
 
Asish Thomas

---

From: Vadim Suraev <[email-masked]>
Date: Thu, 17 May 2001 17:11:56 +0300

If you have AS (autonomous system), with several Areas, connected by
backbone:
some node X, wishes to setup LSP, which crosses more than one area, might
not know topology of area(s), to which
it isn't belonging. So, each area's border router (and node X itself) can
tunnel the inter-area LSP (originated by X) inside of tunnel, for which it
is Ingress.
Forwarding Adjacencies also may be used to create LSP hierarchy.

-----Original Message-----
From: Bhupesh Bajaj [mailto:[email-masked]]
Sent: Thursday, May 17, 2001 4:37 PM
To: Asish Thomas Punnoose
Cc: [email-masked]; [email-masked]
Subject: RE: Hierarchy between two LSRs
Importance: High

hi,

e.g..

|
 
|
 
|    

 
 
i hope it helps....

thanks
bhupesh

-----Original Message-----
From: Asish Thomas Punnoose [mailto:[email-masked]]
Sent: Thursday, May 17, 2001 5:20 PM
To: [email-masked]
Subject: Hierarchy between two LSRs

hello 

 

Thanks in advance 
 
Asish Thomas